html, body {
    height: 100%;
    width: 100%;
}

html {
    scroll-behavior: smooth;
}

p {
    margin-bottom: 0 !important;
    font-family: 'louis_george_caferegular', 'Times New Roman', Times, serif;
}

a {
    color: #dfa855 !important;
}

h2 {
    font-family: 'caviar_dreamsregular', Arial, Helvetica, sans-serif;
}

h3 {
    font-family: 'caviar_dreamsregular', Arial, Helvetica, sans-serif;
    padding-bottom: 2rem;
}

.fadein {
    opacity: 0;
}

.shadow p {
    color: black;
}

header>.bg-dark {
    background-color: black !important;
}

.row {
    margin-left: 0px !important;
    margin-right: 0px !important;
}

.row>.col-md {
    margin: auto;
    text-align: center;
}

.centered-bottom>a>img {
    width: 2rem;
    height: 2rem;
    top: 50%;
}

.centered {
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white !important;
    text-align: center;
}

.centered-bottom {
    position: absolute;
    top: 95%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white !important;
    text-align: center;
}

.centered .row {
    background-color: rgba(0, 0, 0, 0);
    justify-content: center;
    padding: 1rem;
}

.parallax-main {
    background-image: url("../img/bg_main.webp");
    height: 100vh;
    /*Effet parralax*/
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.parallax-last {
    background-image: url("../img/parallax/parallax_last.jpg");
    height: 50vh;
    /*Effet parralax*/
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

#pres, #competences, #projets {
    min-height: 103vh;
}

#diplomes {
    background: linear-gradient(to bottom right, blue, pink);
    min-height: 80vh;
}

#diplomes .col-md {
    padding: 5rem;
}

#diplomes div {
    text-align: center;
    min-height: 4rem;
    margin-top: 4rem;
}

#contact {
    color: white;
    min-height: 20vh;
    background-color: black;
}

#competences img {
    width: 4rem;
    height: auto;
    margin: 2rem;
}

#competences .container-fluid {
    padding-right: 4rem;
    padding-left: 4rem;
}

#competences {
    margin-top: 10rem;
    background: linear-gradient(to bottom right, pink, blue);
}

#competences .container-fluid .row, #competences .container-fluid .col-md {
    text-align: center;
}

#projets>.col-md>h2 {
    padding: 1rem;
}

#projets .col-md, #projets .row, #projets .col-md-4 {
    padding: 0;
}

#projets img {
    width: 100%;
}

.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .5s ease;
    background-color: black;
}

.col-md:hover .overlay, .col-md-4:hover .overlay {
    opacity: 0.9;
}

.text {
    color: white;
    font-size: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.centered img {
    height: 200px;
    width: auto;
    border-radius: 50%;
    -webkit-animation-name: arriveePortrait;
    /* Safari 4.0 - 8.0 */
    -webkit-animation-duration: 4s;
    /* Safari 4.0 - 8.0 */
    animation-name: arriveePortrait;
    animation-duration: 4s;
}

/* Safari 4.0 - 8.0 */

@-webkit-keyframes arriveePortrait {
    0% {
        height: 0;
    }
    100% {
        height: 200px;
    }
}

/* Syntaxe standard */

@keyframes arriveePortrait {
    0% {
        height: 0;
    }
    100% {
        height: 200px;
    }
}

/* images svg */

.parallax-main path {
    stroke: white;
    fill: white;
    stroke-dasharray: 1000;
    opacity: 10;
    animation: animate 3s cubic-bezier(0, 0.23, 1, .1);
}

#diplomes #gear {
    animation: animationGear 3s ease infinite;
    transform-origin: center center;
    margin-bottom: 1rem;
    height: 3rem;
}

#diplomes #books {
    animation: animationBooks 3s ease infinite;
}

/* ************** Animation du logo gear .svg ************* */

@keyframes animationGear {
    0% {
        transform: rotate(0deg);
        height: 3rem;
    }
    30% {
        height: 2.5rem;
    }
    100% {
        height: 3rem;
        transform: rotate(360deg);
    }
}

/* ************** Animation du logo books .svg ************* */

@keyframes animationBooks {
    0% {
        height: 2.5rem;
    }
    30% {
        height: 3rem;
    }
    100% {
        height: 2.5rem;
    }
}

/* ************** Animation du texte .svg ************* */

@keyframes animate {
    0% {
        opacity: 10;
        fill: none;
        stroke-dashoffset: 1000;
    }
    30% {
        opacity: 10;
        fill: none;
        stroke-dashoffset: 1000;
    }
    90% {
        fill: rgba(255, 255, 255, 0);
    }
    100% {
        opacity: 10;
        stroke-dashoffset: 0;
        fill: rgba(255, 255, 255, 1);
    }
}

/* ************** Fin animation ************* */

/* ************************* Formulaire pop-up ************************* */

/* Formulaire caché par défaut */

#formulaireContact {
    display: none;
    bottom: 5rem;
    border-left: 50%;
    z-index: 9;
}

/* style */

.form-container {
    max-width: 90%;
    padding: 10px;
    background-color: rgb(0, 0, 0);
    border: 2px solid white;
}

/* style pour les input */

.form-container input[type=text], .form-container input[type=givenName] {
    width: 100%;
    padding: 15px;
    margin: 5px 0 22px 0;
    border: 1px solid grey;
    background: #000000;
    color: white;
}

.form-container textarea {
    background: #000000;
    color: white;
}

/* style pour les boutons */

.form-container .btn {
    background-color: rgb(39, 88, 40);
    color: white;
    padding: 16px 20px;
    border: none;
    cursor: pointer;
    width: 100%;
    margin-bottom: 10px;
    margin-top: 10px;
    opacity: 0.8;
}

/* background rouge pour le bouton d'annulation */

.form-container .cancel {
    background-color: rgb(126, 11, 11);
}

/* hover effets */

.form-container .btn:hover, .open-button:hover {
    opacity: 1;
}

/* ************************************************************ */

/* **********************Ecran smartphone********************** */

@media screen and (max-width: 420px) {
    p {
        font-size: 1.3rem;
        line-height: 1.8rem;
    }
    h1 {
        font-size: 2rem !important;
    }
    h2 {
        font-size: 2rem !important;
    }
    #contact a {
        top: 50%;
        left: 50%;
    }
    #contact img {
        width: 5rem;
        height: auto;
        margin: 0.5rem;
        top: 50%;
        left: 50%;
    }
    .row>.col-md p {
        margin-left: auto;
        margin-right: auto;
        text-align: center;
        line-height: 2rem;
    }
    .centered .row {
        padding: 0.3rem;
    }
    svg {
        width: 200px;
        height: 30px;
    }
}

/* ************************************************************ */

/* ********************* Ecran ordinateur ********************* */

@media screen and (min-width: 420px) {
    p {
        font-size: 1.3rem;
        line-height: 2rem;
    }
    h2 {
        font-size: 2.3rem !important;
    }
    body div h3 {
        font-size: 1.5rem;
    }
    #diplomes p {
        font-size: 1.6rem;
    }
    #contact a {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    #contact img {
        width: 5rem;
        height: auto;
        top: 50%;
        left: 50%;
    }
    #competences .row {
        padding-top: 0px;
        padding-bottom: 1rem;
    }
    #competences p {
        font-size: 1rem;
    }
    #competences h3 {
        padding-bottom: 1rem;
    }
    .btn-group {
        max-width: 11rem;
    }
    .row>.col-md p {
        margin-left: auto;
        margin-right: auto;
    }
    svg {
        width: 400px;
        height: 50px;
    }
}

/* ************************************************************ */